Class Fox::FXMDIClient

In: | FXMDIClient.rb
Parent: | FXScrollArea

The MDI client window manages a number of MDI child windows in a multiple-document interface (MDI) application. MDI child windows usually receive messages from the GUI through delegation via the MDI client, i.e. the MDI client window is set as the target for most GUI commands; the MDI client filters out a few messages and forwards all other messages to the active MDI child. MDI client can arrange the MDI child windows in various ways:- it may maximize one of the MDI child windows, arrange them side-by-side, cascade them, or iconify them. MDI child windows are notified about changes in the active MDI child window by the MDI client.

### Events

The following messages are sent by FXMDIClient to its target:

`SEL_CHANGED`: | sent when the active child changes; the message data is a reference to the new active child window (or `nil` if there is none)

Methods

forallDocWindows forallWindows getMDIChildFirst getMDIChildLast new setActiveChild

Attributes

activeChild | [RW] | Active MDI child window, or `nil` if none [FXMDIChild].
cascadeX | [RW] | Cascade offset X [Integer]
cascadeY | [RW] | Cascade offset Y [Integer]

Public Class methods

new(p, opts=0, x=0, y=0, w=0, h=0) {|theMDIClient| ...}

Construct MDI Client window

Public Instance methods

getMDIChildFirst()

Get first MDI Child

getMDIChildLast()

Get last MDI Child

forallWindows(sender, sel, ptr)

Pass message to all MDI Child windows.

forallDocWindows(document, sender, sel, ptr)

Pass message to all MDI Child windows whose target is document.

setActiveChild(child=nil, notify=true)

Set active MDI child window for this MDI client to child.